# operating-system::to-string

Converts the value of the specified operating system to its equivalent String representation.

### Usage

`string operating-system::to-string(operatingSystem)`

### Parameters

Name | Type | Description
--- | --- | ---
operatingSystem | OperatingSystem | The operating system.

### Return Value

The String representation of operatingSystem.

### Examples

- Output string representation of the current operating system.

      <echo message="OS=${operating-system::to-string(environment::get-operating-system())}" />

  If the operating system is Windows 2000, the output is:

      Microsoft Windows NT 5.0.2195.0

### Requirements

Assembly: NAnt.Core (0.90.3780.0)

### See Also

environment::get-operating-system()